'use strict';

module.exports = {
  up: async (queryInterface, Sequelize) => {
    await queryInterface.addColumn('nesting_stores_request_line', 'nesting_length', {
      type: Sequelize.DECIMAL(18, 3),
      allowNull: true,
      comment: 'Actual nesting length for this line'
    });
    await queryInterface.addColumn('nesting_stores_request_line', 'nesting_width', {
      type: Sequelize.DECIMAL(18, 3),
      allowNull: true,
      comment: 'Actual nesting width for this line'
    });
  },

  down: async (queryInterface) => {
    await queryInterface.removeColumn('nesting_stores_request_line', 'nesting_length');
    await queryInterface.removeColumn('nesting_stores_request_line', 'nesting_width');
  }
};
